window.language_obj = {
    'internation': {
        'ok': 'OK',
        'zh': 'Chinese',
        'en': 'English',
        'keyError': 'Device key error!',
        'deviceInfoError': 'Device information error!',
        'unrecognizedDevice': 'Unrecognized Device!',
        'serverMessageBox ': 'The server is unavailable, and the port number may be 14000. Please confirm with the administrator!', // 服务器不可用, 端口号可能为14000, 请与管理员确认!
        'messageBoxTitle': 'Prompt',
        'confirm': 'OK',
        'cancel': 'Cancel',
        'save': 'Save',
        'portModificationPrompt': 'Port Modify Prompt',
        'shareHistory': 'Share History', // 分享历史
        'allDel': 'Delete All', // 全部删除
        'completeDel': 'Completed', // 完成
        'about': 'About',
        'setting': 'Settings',
        'visterNum': 'Visitor number',
        'retry': 'Reset in X seconds',
        'serverSetting': 'Server',
        'monitorSetting': 'Monitor',
        'exportLog': 'Log',
        'checkUpdate': 'Update',
        'version': 'Version',
        'welcomeRegister': 'Welcome to register',
        'changeUserAutoSuccess': 'User modified successfully',
        'releaseTime': 'Release time',
        'webTitle': 'IoTAssistant',
        'downloading': 'Dowanloading',
        'downloadCancel': 'Downloading cancel',
        'downFail': 'Dowload failed',
        'downloadTimeout': 'Download timeout',
        'localDeviceMoreSaveFail': 'Remote monitor',
        'downloadCompleted': 'Download completed',
        'downloadTimeoutRetry': 'Download timeout,please retry',
        'updateClientFailure': 'Client update failed',
        'downloadCancelled': 'Download cancelled',
        'defaultGroup': 'Default',
        'othersShare': 'Shared',
        'enterMonitoring': 'Monitor entrance',
        'setupWizard': 'Setting guide',
        'monitorLayout': 'Monitor layout',
        'pleaseSelect': 'Please select',
        'selectPush': 'Select Message Permissions',
        'look': 'Detail',
        'turnReslut': 'Handover result',
        'turnComplete': 'Device handover successfully,please check the  operation bar for result',
        'turnCompletes': 'Device handover completed',
        'proportionalStretch': 'Equal proportion display',
        'nonProportionalStretch': 'Full Screen display',
        'noData': 'No data available',
        'vister': 'Vistor',
        'inputPrompt': 'Content input',
        'codeObtain': 'Code',
        'retrySeconds': 'Retry X seconds later',
        'checking': 'Checking',
        'latestVersion': 'Latest version already',
        'hasLatestVersion': 'latest version reserved',
        'versionInfoErrorRetry': 'Failed to obtain version information (click retry)',
        'logBackupSuccess': 'The logs will be backed up to the specified directory and will not affect the current running logs. After successful export, the directory will be automatically opened.',
        'saveServe': 'Save server',
        'serverSaveNotification': 'After successfully saving the server, you need to log in again',
        'serverAddress': 'IP/Domain',
        'inputServerAddress': 'Please input Server IP Domain',
        'inputPortNumber': 'Please input port number',
        'securePortNumber': 'Secure connection, 14000 port',
        'insecurePortNumber': 'Unsafe connection, 9060 port',
        'serverConfigSuccess': 'The server configuration is successful. Please log in again.',
        'serverConfigMessage': 'The server configuration is successful.',
        'ver': 'Version',
        'cancelDownLoad': 'Cancel download',
        'close': 'Close',
        'invalidQR': 'Invalid QR code',
        'scanCompleted': 'Scan complete',
        'scanError': 'Code scanning failure',
        'versionUpdate': 'Version update',
        'modifyBugs': 'Fix known bugs',
        'ignoreVersion': 'Neglect version',
        'immediateUpdating': 'Update now',
        'networkError': 'Network error or server unreachable, please check the network or confirm with administrator.',
        'requestCancelled': 'Request cancelled',
        'networkTimeout': 'Network timeout',
        'interfaceError': 'Port error, please connect administrator.',
        'localDeviceList': 'LocalDeviceList',
        'localDeviceExceed': 'Local device exceeds upper limit, failed to save.',
        'deviceNum': 'DeviceSN',
        'deviceIp': 'Device IP',
        'ip': 'IP',
        'inputDeviceIp': 'Please enter the device IP',
        'inputDeviceNum': 'Enter DeviceSN',
        'inputDeviceNums': 'Enter ID',
        'inputDeviceKey': 'Enter Secret key',
        'inputDeviceKeys': 'Enter Secret key',
        'inputDeviceGroup': 'Please select device group',
        'inputParentGroup': 'Please select the parent group',
        'inputDeviceName': 'Enter name',
        'inputDeviceRemark': 'Enter description',
        'inputDeviceRemarks': 'Enter description',
        'numberCantNull': 'The device ID cannot be empty!',
        'keyCantNull': 'The device password cannot be empty!',
        'changeGroup': 'Group',
        'addNewDeviceSuccess': 'New device added successfully',
        'addNewDeviceFail': 'Failed to modify the device information.',
        'getGroupDeviceFail': 'Failed to obtain devices in the group.',
        'timeRlue': 'The start date must be earlier than the end date',
        'change': 'Modify',
        'dontMoreMessage': 'No more data',
        'loadMore': 'Roll down to load more',
        'noMessage': 'No information',
        'configuration': 'Configuration',
        'deviceKey': 'Secret key',
        'pushAuto': 'Message',
        'delDeviceConfirm': 'This operation will delete tthe device, confirm to continue.',
        'delDevice': 'Delete Device',
        'selectDevice': 'Please select device',
        'deviceGroup': 'Group',
        'parentGroup': 'Parent group',
        'deviceRemark': 'Comment',
        'remarkInfo': 'Description',
        'inputGroupNames': 'Enter group name',
        'deviceName': 'DeviceName',
        'messageType': 'Type',
        'delDeivceSuccess': 'Device deleted successfully',
        'delDeivceFail': 'Device deleted failure',
        'variableName': 'Variable',
        'messageDescription': 'Description',
        'lastPage': 'Already the last page',
        'getDataSuccess': 'Obtaining data successfully',
        'fristPage': 'Already the first page',
        'getAlarmFail': 'Failed to obtain alarm data',
        'inputDeviceNameNum': 'Enter Name/No. to filter',
        'inputDeviceIpName': 'Enter IP/Name to filter',
        'deviceCodeRequired': 'The device cannot be empty',
        'deviceIpRequired': 'The device IP cannot be empty',
        'deviceIpMaxLength': 'The device IP contains a maximum of 32 characters!',
        'deviceCodeKeyRequired': 'The device ID or device password cannot be empty',
        'deviceCodeMaxLength': 'The device ID contains a maximum of 64 characters',
        'deviceKeyMaxLength': 'The device password contains a maximum of 64 characters',
        'deviceNameMaxLength': 'The device name contains a maximum of 64 characters',
        'deviceRemarkMaxLength': 'The device remark contains a maximum of 64 characters',
        'groupNameFormatError': 'The group name can only contain digits underlined in both Chinese and English and cannot start with a number.',
        'groupNameMaxLength': 'The group name contains a maximum of 64 characters!',
        'groupNameInvalid': 'The group name cannot be set for others to share!',
        'groupNameNotNull': 'The group name cannot be empty',
        'hanveGroupName': 'The group name already exists',
        'groupName': 'Name',
        'changeInfo': 'Modify information',
        'addDeviceSuccessModifyFail': 'Succeeded in adding device, but failed to modify the information',
        'alreadyOwner': 'Already owner',
        'addGroupFail': 'Failed to add a group',
        'getDeviceSuccess': 'Successfully Obtaining the device',
        'getDeviceFail': 'Failed to obtain device',
        'getNotWorkSuccess': 'Successfully Obtaining NIC',
        'getNotWorkFail': 'Failed to obtain NIC',
        'changeGroupNames': 'Modify group name',
        'addDeviceSuccess': 'Device added Successfully',
        'deviceAlreadyExists': 'Failed to add a device because the device already exists',
        'invalidKey': 'Failed to add a device because the password error',
        'getDataFial': 'Failed to obtain data',
        'addDeviceComplete': 'Complete Adding device',
        'addDeviceFail': 'Failed to add device',
        'addDevice': 'Add Device',
        'addGroup': 'Add Group',
        'editGroup': 'Edit Group',
        'delGroupConfirm': 'This opertaion will delete this group,whether to continue?',
        'delGroupConfirm2': 'Please confirm to delete this group or not',
        'detachDevice': 'Remove Device',
        'changeGroupName': 'modify group name',
        'groupInfo': 'Info',
        'delGroup': 'Delete Group',
        'localBatchAddReslut': 'Note: Device ID are required parameters',
        'groupExists': 'Group already exists',
        'groupNotExists': 'Group not exists',
        'addGroupSuccess': 'Succeeded in adding a group',
        'changeGroupNameSuccess': 'Succeeded in modifying the group name',
        'cannotDelDefGroup': "Can't delete the default group",
        'delGroupComplete': 'Delete group complete',
        'abnormalOperation': 'Abnormal operation',
        'baseInfo': 'Info',
        'changeDeviceFail': 'Failed to modify the device information!',
        'changeDeviceSuccess': 'The device information is modified successfully',
        'changeDeviceIpFail': 'This IP has binded the device, please check',
        'noTransmitDeviceToClose': 'There is no device transparent transmission that can be closed',
        'confirmCloseTransmit': 'A device is using transparent transmission. Continuing the operation will close the existing transparent transmission, whether to continue.',
        'cancelOperation': 'Cancel operation',
        'noTransmitToClose': 'There is no transparent transmission process to close',
        'noFTPToClose': 'There is no FTP to close',
        'confirmCloseFTP': 'FTP is being used on a device. Continuing this operation will close the existing FTP. Whether to continue?',
        'noDevicesToCloseMonitoring': 'There is no device monitoring to close',
        'confirmCloseMonitoring': 'A device is using the monitor. If you continue to perform this operation, the existing monitor will be closed,whether to continue.',
        'noMonitoringProcessesToClose': 'No monitoring process can be closed',
        'noVNCToClose': 'There is no VNC to close',
        'confirmCloseVNC': 'A device is using VNC, continuing the operation will close the existing VNC.',
        'noVNCProcessToClose': 'There is no VNC process to close',
        'notOwnerNoVisitorList': 'Not owner, no visitor list.',
        'userAlreadyVisitor': 'User is visitor',
        'cannotShareWithSelf': "Can't share with yourself",
        'shareProjectError': 'Share project error',
        'projectIdError': 'Project ID data error',
        'occur': 'Trigger',
        'recover': 'Recover',
        'answer': 'Answer',
        'goLive': 'Online',
        'offline': 'Offline',
        'accountIsVisitor': 'The current account is already a visitor',
        'removeDevice': 'Relieve',
        'fail': 'Failure',
        'shareTipbox': 'Confirm to share device with {username}?',
        'secureDeviceConfrim': 'The access permission of {userStr} is lifted. After the access permission is lifted, the device cannot be viewed remotely.',
        'unbingSuccess': 'The binding relationship is removed successfully',
        'deviceVNCStatusChanged': 'VNC status changed, close the VNC process.',
        'deviceVPNStatusChanged': 'VPN status changed, close the VPN process.',
        'failedToGetIP': 'Failed to obtain the IP address and enable transparent transmission',
        'failedToCloseTunnel': 'Failed to close transparent transmission because the VPN is not enabled',
        'noTunnelProcessToClose': 'There is no transparent transmission process to close',
        'closeTunnelFailedCount': 'Failed to close transparent transmission 3 times!',
        'closeTunnelSuccess': 'Succeeded in closing transparent transmission',
        'openTunnelFailure': 'The VPN is not enabled, and transparent transmission fails to be enabled',
        'getIPFailure': 'Failed to obtain the IP address. ftp cannot be opened.',
        'closeFTPVpnFailure': 'Failed to close FTP because the VPN is not enabled.',
        'noCloseFTPProcess': 'No ftp process to be closed',
        'noOpenFTPWithNoVPN': 'VPN is not enabled, FTP failed to be opened!',
        'closePortForwardingFailed': 'Failed to close network port penetration for 3 times!',
        'closePortForwardingSuccess': 'Close network port penetration succeessfully',
        'openPortForwardingFailure': 'Open network port penetration failed for 3 times!',
        'oPortForwardingOpen': 'No open network port penetration!',
        'portForwardingStatusError': 'The port forwarding status is incorrect.',
        'portForwardingError': 'Port forwarding error',
        'noPortForwardingProcessToClose': 'No port forwarding process to be closed.',
        'noPermission': 'Have no permission',
        'openVNCfail': 'VNC failed to open',
        'continueCloseVncConfirmation': 'A device is using vnc, continuing the operation will close the existing vnc.',
        'noVpnProcessesToClose': 'No vpn process to be closed.',
        'delFail': 'Delete failure',
        'yes': 'Yes',
        'no': 'No',
        'portForwardingFailure': 'Network port penetration failed, other debugging functions are not affected,Whether to continue debugging?',
        'vpnUsageConfirmation': 'VPN is being used by a device, continuing the operation will close the existing VPN.',
        'localConnectionError': 'The local connection is abnormal. Check or contact the administrator.',
        'vpnCloseFailed': 'Failed to close vpn 3 times',
        'noDevicesToCloseVpn': 'No VPN device can be closed',
        'failedToOpenLocalVpnRoute': 'Failed to enable the local VPN route',
        'getVersionFail': 'Failed to obtain version information. ',
        'getStateFail': 'Failed to obtain status',
        'getVersionEorr': 'Version information data error!',
        'taskNot': 'Task can not be empty',
        'serverAddressNOnull': 'The server IP/domain or port cannot be empty!', // 服务器IP/域名或端口不能为空!
        'portIllegality': 'The port is invalid!', // 端口不合法!
        'ipIllegality': 'The server IP/domain is invalid!', // 服务器IP/域名不合法!
        'successConfig': 'Configuration successful!', // 配置成功!
        'phoneRegistered': 'The phone has already been registered!', // 手机已注册!
        'phoneUnregistered': 'The phone has not been registered!', // 手机未注册!
        'emailRegistered': 'The email has already been registered!', // 邮箱已注册!
        'emailUnregistered': 'The email has not been registered!', // 邮箱未注册!
        'usernameRegistered': 'The username has already been registered', // 用户名已注册
        'passwordInconsistent': 'The passwords do not match!', // 密码输入不一致
        'userPasswordNull': 'Username and password cannot be empty!', // 用户名密码不能为空!
        'adminLogin': 'Admin user login is not supported!', // 不支持admin用户登录!
        'serverAddressOrPortEmpty': 'The server address or port number is empty',
        'confirmToLoginPage': 'Click OK to return to the login page',
        'loginStatusAbnormal': 'Abnormal login status',
        'accountLoggedInElsewhere': 'The account is logged in elsewhere',
        'loginExpired': 'Login expiration',
        'serverUnavailable': 'Server unavailable',
        'versionIncompatible': 'Version incompatibility',
        'networkErrors': 'A network error or timeout occurs',
        'invalidCredentials': 'The user name and password are incorrect',
        'domainParsingError': 'Domain name resolution error',
        'pathError': 'Routing error',
        'device': 'Device',
        'loginOut': 'Logout',
        'loading': 'Loading',
        'noMore': 'No more',
        'confirmExitLocalMonitoring': 'Whether to exit the local monitoring?',
        'allSelect': 'Check all',
        'exportError': 'Export error',
        'exportSuccess': 'Export file successfully',
        'cancelSelect': 'Deselect',
        'invert': 'Invert Selection',
        'RefreshError': 'Refresh failure',
        'changePhone': 'Change Phone',
        'phone': 'Phone',
        'changeEmail': 'Change Email',
        'phoneCantNull': "Phone number can't be empty",
        'emailCantNull': "Email number can't be empty",
        'inputCorrectPhone': 'Please enter a correct phone number',
        'inputCorrectEmail': 'Please enter a correct email address',
        'havePhone': 'The phone number has been registered',
        'haveEmail': 'Email number has been registered',
        'codeCantNull': 'The verification code cannot be empty',
        'inputOldPhone': 'Please enter the original phone number',
        'inputCode': "Code can't be empty",
        'inputCode2': 'Enter Code',
        'code': 'Verification code',
        'CodeError': 'The verification code is incorrect!', // 验证码错误!
        'noPhoneData': 'No phone number',
        'newEmail': 'New',
        'codeExpire': 'The verification code has expired!', // 验证码过期
        'userRegistered': 'The user is already registered!', // 用户已注册!
        'inputNewEmail': 'Enter new email',
        'oldPhone': 'Original phone number',
        'pastPhone': 'Current',
        'changePhoneSuccess': 'The mobile phone number is successfully modified',
        'changeEmailSuccsee': 'Email is successfully modified',
        'codeEorr': 'Obtaining verification code error',
        'newPhone': 'New',
        'inputnewPhone': 'Enter new phone number',
        'inputnewPhones': 'Enter new phone number',
        'oldEmail': 'Original email',
        'oldEmails': 'Current',
        'noEmailsData': 'No email',
        'inputOldEmail': 'Enter original email',
        'password': 'Password',
        'passwordChangeSuccess': 'The password is modified successfully. Please log in again.',
        'changePassword': 'Change Password',
        'passWordNot': 'The two passwords are inconsistent!',
        'oldPassword': 'Original password',
        'oldPasswords': 'Previous password',
        'inputPassword': 'Please enter orginal password',
        'inputPastPassword': 'Enter original password',
        'inputPasswords': 'Please enter orginal password',
        'inputPastPasswords': 'Enter original password',
        'passwordLength': 'The password contains 6 to 255 characters',
        'newPassword': 'New password',
        'inputNewPassword': 'Set a new password',
        'inputNewPasswords': 'Set a new password',
        'confirmPassword': 'Confirm Password',
        'morePassword': 'Confirm Password',
        'passwordSame': 'The new password is the same as the previous password, please re-enter!',
        'emailReset': 'Email',
        'phoneReset': 'Phone',
        'morePasswords': 'Confirm Password',
        'moreNewPassword': 'Enter new password again',
        'moreNewPasswords': 'Enter new password again',
        'continuePassword': 'This operation will modify the password. Whether to continue?',
        'isContinue': 'Wether to continue?',
        'passwordChangePrompt': 'This operation will modify the password. The new password strength is',
        'weak': 'Weak',
        'medium': 'Mid',
        'changeName': 'Change Username',
        'changeCompany': 'Change',
        'userNameCantNull': "Username can't be empty",
        'companyCantNull': "Company can't be empty",
        'companyCantNull2': "Company name can't be empty",
        'userNameRule': 'The username can only contain digits underlined in both Chinese and English and cannot start with a number',
        'companyNameRule': 'The company can only contain digits underlined in both Chinese and English, and cannot begin with a number',
        'companyNameRule2': 'The company name can only contain digits underlined in both Chinese and English, and cannot start with a number',
        'haveName': 'The username has been registered',
        'changeNames': 'Modify username',
        'changeCompanys': 'Company Name',
        'inputCompanyName': 'Company Name',
        'inputNeedShareUser': 'Please enter the username you want to share',
        'inputName': 'Enter Username',
        'userName': 'Username',
        'changeCompanyName': 'Change Company',
        'company': 'Company',
        'changeNameSuccsee': 'Modifying user name successfully!',
        'changeCompanySuccess': 'Modifying company name successfully!',
        'email': 'Email',
        'wx': 'Wechat',
        'clearBinding': 'Clear binding',
        'loginOuts': 'Log out',
        'confirmLoginOut': 'This operation will exit the login, whether to continue.',
        'clearWx': 'This operation will clear the wechat binding, whether to continue.',
        'clearWxSuccess': 'Clearing wechat binding succeeded.',
        'shareProject': 'Project sharing',
        'share': 'Share',
        'turn': 'Transfer',
        'replace': 'Replace',
        'del': 'Delete',
        'deviceInfo': 'Device information',
        'shareNameCantNull': 'The share user cannot be empty',
        'confrimProjectShare': 'This action will share the project to the user, whether to continue.',
        'shareProjectSuccess': 'Share project success',
        'confrimClearBind': 'This operation will release the share of the user, whether to continue.',
        'removeProjectSuccess': 'Unshare success',
        'remove': 'Relieve',
        'noProject': 'No project',
        'addUser': 'The user has been added',
        'operationTips': 'Operation instruction',
        'operationMany': 'Operation is too frequent, please try again later!',
        'projectAnonymousModeMessage': 'The project becomes anonymous and cannot be shared',
        'unbindingProjectConfirmationMessage': 'This operation will cancel the project, whether to continue.',
        'unbindProjectSuccess': 'The project was successfully lifted',
        'timeFiltering': 'Time screening',
        'shareProjects': 'Sharing project',
        'to': 'To',
        'starTime': 'Start time',
        'endTime': 'End time',
        'search': 'Search',
        'inputKeywords': 'Input keywords',
        'Refresh': 'Refresh',
        'serialNumber': 'number',
        'alarmTime': 'Time',
        'previousPage': 'Previous page',
        'nextPage': 'Next page',
        'alarmoccurrence': 'Alarm occurrence',
        'alarmResponse': 'Alarm response',
        'alarmRecovery': 'Alarm recovery',
        'deviceOnline': 'Device online',
        'deviceOffline': 'Device offline',
        'messageDescribe': 'Description',
        'auxiliary': 'Auxiliary',
        'page': 'Page',
        'changeGroupSuccess': 'Group modification succeeded',
        'changedeviceGroupSuccess': 'Group modification succeeded',
        'changedeviceGroupFail': 'Failed to modify the device group!',
        'sortOptionLabel': 'By device name/device number',
        'sortGroupOptionLabel': 'By group name',
        'searchGroupError': 'This group could not be found',
        'inputDeviceNameNums': 'Please enter the device name/Device number',
        'bindingDeviceConfrim': 'This action will remove your binding relationship with the selected device, whether to continue.',
        'deviceState': 'Status',
        'delReslut': 'Delete result',
        'delComplete': 'The device is deleted.',
        'online': 'Online',
        'onlineTime': 'Online time',
        'importDevice': 'Import device',
        'exportDevice': 'Export device',
        'operate': 'Operate',
        'monitor': 'Monitor',
        'selectTime': 'Select time',
        'selectStartTime': 'Select start time',
        'selectEndTime': 'Select end time',
        'searchCriteria': 'Search criteria',
        'deviceNotonline': 'Device offline',
        'opReslut': 'Operating result',
        'opSuccess': 'Operate successfully',
        'operateSuccess': 'Operate successfully',
        'state': 'Status',
        'map': 'Map',
        'deviceLocal': 'Device location',
        'mapError': 'The map resource failed to load. Please reopen the map.',
        'operation': 'Operate',
        'local': 'Location',
        'activeTime': 'Activation time',
        'offlineTime': 'Offline time',
        'owner': 'Owner',
        'push': 'Push',
        'group': 'Group',
        'shakedown': 'Debugging',
        'onlineVPN': 'On-line',
        'add': 'Add',
        'rmove': 'Remove',
        'stop': 'Stop',
        'stoping': 'Stoping',
        'transparent': 'Transparent transmission',
        'replaceDevice': 'Replace device',
        'replacesDevice': 'Replace',
        'unbindConfirmMessage': 'This operation will disconnects you from the device, Whether to continue.',
        'deleteBindingConfirmMessage': 'This operation will remove your binding relationship with the device, whether to continue.',
        'delSuccess': 'Deleting the binding relationship succeeded.',
        'openConnectionSuccess': 'Open on-line successfully',
        'offineVpn': 'Not on-line',
        'vpning': 'On-line processing',
        'onlineVPNing': 'Already on-line',
        'stopVpn': 'Stop processing',
        'occupied': 'Occupied',
        'continueWithoutAccess': 'This operation will make you no longer able to access these devices, whether to continue.',
        'deviceUnbindComplete': 'Device remove complete',
        'confirmUnbindDevice': 'This operation will remove your binding relationship with the device, whether to continue.',
        'deviceDeletionComplete': 'The device is deleted successfully',
        'delGroupSuccess': 'Device group delete successfully.',
        'delGroupFail': 'Failed to delete the device group',
        'confirmGroupDeletion': 'Whether to delete the group',
        'confirmGroupDeletionAll': 'The group contains subgroups. Delete all subgroups.',
        'addManually': 'Add',
        'scanAdd': 'Scan Add',
        'addTo': 'Add to',
        'scanCodeAdd': 'Scan',
        'batchAddd': 'Batch Add',
        'list': 'List',
        'upDateDataFail': 'Failed to update data',
        'byDeviceIp': 'By device IP',
        'byDeviceName': 'By device name',
        'byDeviceNum': 'By device ID',
        'byDeviceState': 'By device status',
        'byOnlineTime': 'By online time',
        'byOfflineTime': 'By offline time',
        'delGroupSuccsee': 'Deleting group successfully',
        'inputUserSecrch': 'Enter username to screen',
        'selectUserToUnshare': 'Select the user that you want to lift',
        'unshareSuccess': 'Lift the access relationship successfully.',
        'unshareResult': 'Lift result',
        'unshareTip': 'Lift prompt',
        'noUnshareUser': 'There are no removable visitors',
        'unshareDeviceResult': 'Complete lifting the device. Check the operation bar for the result',
        'unshareDeviceResults': 'Lifting device complete!',
        'secureConfirm': 'Remove {name} access permission, after removing, the device cannot be viewed remotely, confirm the release.',
        'turnDevice': 'Transfer',
        'noPeopleTurn': 'Non-deliverable user',
        'selectTransferUser': 'Select the user you want to hand over',
        'turnConfirm': 'After handing over to {name}, the owner will become {name} and himself will become the visitor, confirming the handover.',
        'turnConfirms': 'After handing over the device to {name}, the owner will become {name} and he will become the visitor to confirm the handover.',
        'turnSuccess': 'Device handover successfully',
        'shareDevice': 'Share',
        'authority': 'Permission',
        'remoteMonitoring': 'Remote Monitor',
        'selectUsersAuto': 'Please select user rights',
        'remoteDebug': 'Remote Debug',
        'VNCbrowsing': 'VNC Browsing',
        'configShareUser': 'Please configure share users',
        'VNCop': 'VNC Operation',
        'changeSuccess': 'Modify successfully',
        'selectUserAuto': 'Please select permissions to share users',
        'alarmPush': 'Message',
        'inputShareUser': 'Enter the user to share',
        'inputShareUsers': 'Enter the user to share',
        'shareSuccess': 'Share device successfully',
        'onAlarmOccur': 'Alarm trigger',
        'onAlarmRecover': 'Alarm recover',
        'onAlarmRespone': 'Alarm answer',
        'ondeviceOnline': 'Online',
        'ondeviceOffline': 'Offline',
        'alarmPz': 'Message',
        'removeGroupDevice': 'Remove packet device',
        'removeDeviceConfrim': 'This operation will remove the device in the current group, whether to continue.',
        'alarmPushUpdated': 'Alarm push modified successfully',
        'changeAutoReslut': 'Result of modifying permissions',
        'pushPermissionSet': 'Setting push permissions is complete. Check the operation bar of the device list for the result.',
        'pushPermissionSets': 'Setting push permissions is complete',
        'replaceSuccess': 'Device replaced successfully',
        'selectAddDevice': 'Select the device you want to add',
        'network': 'Network',
        'allNetwork': 'All networks',
        'selectNetwork': 'Select network',
        'selectTurnDevice': 'Select the device you want to remove',
        'selectNeedDevice': 'Please select the device you want to share',
        'selectneedTransferDevice': 'Select the device that you want to hand over',
        'needUnbindingDevice': 'Select the device that you want to lift',
        'needChangeAutoDevice': 'Select the device whose push permission you want to modify',
        'needDelDevice': 'Select the device that you want to delete',
        'notSelectDavice': 'No device is selected for operation',
        'addGroupDeviceSuccess': 'Adding a packet device succeeded.',
        'addGroupDeviceFail': 'Failed to add a packet device.',
        'turnGroupDeviceSuccess': 'Deleting the packet device succeeded.',
        'turnGroupDeviceFail': 'Failed to remove the packet device. ',
        'groupNameReslut': 'The group name can only contain digits underlined in both Chinese and English, and cannot start with a number.',
        'inputGroupName': 'Enter a group name',
        'visterAuto': 'Visitor permission configuration',
        'changeAutoConfirm': 'This operation will modify the user rights and whether to continue',
        'shareTo': 'Share to',
        'selectFileFail': 'Select file error',
        'needShareUser': 'Please add users to share',
        'needShareUsers': 'Please add the users you want to share with', // 请添加需要分享的用户
        'shareReslut': 'Sharing result',
        'shareComplete': 'Device sharing is complete. Check the device list operation bar for the result',
        'shareCompletes': 'Share device complete',
        'shareTip': 'User {name} already exists in the current list',
        'isVisterUser': 'The user is already a visitor!',
        'deviceNameMaxLengths': 'Note: The length of the device name cannot exceed 64 characters!',
        'deviceRemarkMaxLengths': 'Device Remarks maximum of 255 characters',
        'devicefroupReslut': 'The device group must be an existing group for the current user',
        'existingData': 'Retain existing device data',
        'fileFormat': 'Before importing the file, please confirm the file encoding format, the default is utf8!',
        'batchDevice': 'Batch add devices',
        'exportTemplate': 'Export template',
        'importTemplate': 'Import template',
        'importFilesError': 'Import file error',
        'importFilesFail': 'Failed to import file',
        'importFilesSuccess': 'Successfully import file',
        'importDeviceSuccess': 'Importing the device succeeded',
        'importDeviceFail': 'Importing device failed',
        'importDeviceComplete': 'Importing device complete',
        'importDeviceDetail': 'Importing Device Details',
        'adds': 'Added',
        'batchAddDeviceReslut': 'The device has been added. For details, see the operation bar.',
        'importFileError': 'Error Importing file data',
        'openFile': 'Open the folder',
        'importFileFail': 'Failed to export file',
        'fileSuccessTo': 'The file is successfully exported to',
        'groupNames': 'Group Name',
        'groupResult': 'Group names can only contain underscores in Chinese and English and cannot start with a number',
        'networkOffline': 'The Network connection is not available',
        'project': 'Project',
        'message': 'Message',
        'messageDetail': 'Message Details', // 消息详情
        'account': 'Account',
        'logining': 'Loading',
        'login': 'Log In',
        'rememberPassword': 'Save password',
        'register': 'Sign up',
        'findPassword': 'Forgot password',
        'passwordReset': 'Password reset',
        'inputPhoneEmail': 'Phone/Email/Username',
        'inputPhoneEmail2': 'Enter Phone Number/Email/Username',
        'inputyouPassword': 'Enter password',
        'inputyouPassword2': 'Enter password',
        'resetPasswordSuccess': 'Reset the password successfully, please log in again.',
        'loginError': 'Wrong account number or password',
        'changePort': 'The port number has been modified to 14000, please go to the setting to change.',
        'readTk': 'I have read and accepted',
        'regFile': 'Registration terms',
        'registerNow': 'Sign up',
        'emailReg': 'Sign up by Email',
        'phoneReg': 'Sign up by phone',
        'backLogin': 'Back to Login',
        'inputPhone': 'Mobile number',
        'inputEmail': 'Enter email',
        'readFile': 'Please read and agree to the registration terms',
        'regSuccess': 'Registered account success',
        'passwordStrength': 'Current password strength is: {val}, whether to continue ?',
        'passwordStrengths': 'This operation will change the password, the new password strength is: {val}, whether to continue.',
        'localLogin': 'Local',
        'noRegPhone': 'The mobile phone number is not being registered',
        'noRegEmail': 'The email was not registered',
        'findPasswordSuccess': 'Modify the password successfully, please log in again.',
        'exportLogSuccess': 'Export log successfully',
        'nowNewVersion': 'This is the latest version',
        'welcomeLogin': 'Welcome',
        'openMonitorSuccess': 'Successfully enable monitoring',
        'openMonitorFail': 'Failed to enable monitoring',
        'colseMonitorSuccess': 'Close monitoring successfully',
        'openVncSuccess': 'VNC successfully opened',
        'closeVncSuccess': 'VNC successfully closed',
        'scanSuccess': 'Successful code scanning',
        'getNetworkDeviceSuccess': 'Successfully obtained the device under the network card',
        'getNetworkDeviceFail': 'Failed to obtain the device under the network card',
        'getIpDeviceSuccess': 'Successfully obtained device information',
        'getIpDeviceFail': 'Failed to obtain device information',
        'selectFolderSuccess': 'Select folder successfully',
        'selectFolderFail': 'Failed to Select folder ',
        'selectFileSuccess': 'Select file successfully',
        'selectFileError': 'Failed to select file',
        'writeFileSuccess': 'Write file successfully',
        'writeFileFail': 'Failed to write file',
        'readFileSuccess': 'Read file successfully',
        'readFileFail': 'Failed to read file',
        'getFail': 'Acquisition failure',
        'vncStateChangeClose': 'The vnc status of the device changes. close vnc!',
        'deviceOfflineCloseMonitor': 'The device is offline. close monitoring',
        'deviceOfflineCloseVnc': 'The device is offline. close VNC',
        'openVncFailServeError': 'The vnc startup has failed, and the server has no response!',
        'closeVncFailThree': 'Close the vnc failed 3 times',
        'noHaveCloseVncDevice': 'No vnc device is closed',
        'vncOpening': 'Opening the VNC',
        'vncOpen': 'VNC is open',
        'vncCloseing': 'Closing the VNC',
        'year': 'Year',
        'month': 'Month',
        'day': 'Day',
        'hour': 'hour',
        'minute': 'Minute',
        'second': 'Second',
        'loginExpiration': 'User login has expired',
        'strong': 'strong',
        'serveError': 'Server error',
        'cameraNotPermissions': 'Unauthorized camera permissions',
        'storagePermissions': 'Unauthorized external storage operation permissions',
        'installApk': 'The installation file must be apk',
        'installErroe': 'Installation file exception',
        'appFiling': 'APP ICP filing',
        'logoffAccount': 'Account Cancellation',
        'logoffAccountSuccess': 'Account cancellation successful',
        'confirmCancelAccount': 'After logging out, all relevant data of the account will be deleted and cannot be recovered. Do you want to continue?',
        'noPortForwardingOpen': 'No network port penetration opened!',
        //
        'otaPackageName': 'Upgrade Package Name',
        'inputPackageName': 'Please enter the upgrade package name',
        'otaPackageType': 'Upgrade Package Type',
        'inputOtaPackageType': 'Please select the upgrade package type',
        'runtime': 'Runtime Environment',
        'hmiProject': 'HMI Configuration Project',
        'runtimeAndProject': 'Runtime Environment + HMI Configuration Project',
        'nk': 'Factory Firmware',
        'plc': 'Lower Machine Program',
        'addOtaPackage': 'Add Upgrade Package',
        'otaPackageVersion': 'Upgrade Package Version',
        'inputPackageVersion': 'Please enter the upgrade package version',
        'uploadFile': 'Upload File',
        'selectFile': 'Select File',
        'otaUploadFileTip': 'Support file formats: bin, tar, gz, tar.xz, zip, gzip, apk, dav, pack. File size should not exceed 100MB',
        'otaUpgradeDescription': 'Upgrade Remarks',
        'inputOtaUpgradeDescription': 'Remarks for the upgrade package',
        'otaUpgradeCopyWriting': 'Upgrade Copywriting',
        'inputOtaUpgradeCopyWriting': 'Display content when the device receives the push',
        'deletePackageTip': 'Do you want to delete this upgrade package?',
        'otaEdit': 'Edit',
        'editOtaPackage': 'Edit Upgrade Package',
        'createTime': 'Creation Time',
        'otaTaskList': 'Task List',
        'fileName': 'File Name',
        'fileSize': 'File Size',
        'fileSign': 'File Signature',
        'confirmDeletePack': 'Do you want to delete the selected upgrade package?',
        'editUsingPackError': 'There are tasks using this upgrade package. Please stop the tasks before editing.',
        'deletePackSuccess': 'Successfully deleted the upgrade package!',
        'plcProtocal': 'Communication Protocol',
        'plcType': 'Lower Machine Type',
        'hasSameNamePack': 'An upgrade package with the same name already exists',
        'uploadRightfulFileFormat': 'Please upload the correct file format!',
        'packageSizeLimit': 'File size should not exceed 100M!',
        'uploadFailed': 'File upload failed. Please try again!',
        'addPackageSuccess': 'Successfully added the upgrade package!',
        'editPackageSuccess': 'Successfully modified the upgrade package!',
        'packageDetail': 'Upgrade Package Details',
        //
        'taskName': 'Task Name',
        'inputTaskName': 'Please enter the upgrade task name',
        'addTask': 'Create Upgrade Task',
        'associatedDevicesNumber': 'Associated Devices Number',
        'taskStatus': 'Task Status',
        'back': 'Back',
        'editTask': 'Edit Task',
        'exceute': 'Execute',
        'editTaskRuningError': 'Task in progress, please stop the task before editing',
        'confirmDeleteTask': 'Are you sure you want to delete the selected task?',
        'deleteTaskSuccess': 'Task deletion successful!',
        'startTaskSuccess': 'Upgrade task started successfully!',
        'stopTaskSuccess': 'Upgrade task stopped successfully!',
        'taskNotStarted': 'Not Started',
        'taskRuning': 'In Progress',
        'taskUserStopped': 'User Stopped',
        'taskTimeout': 'Timeout',
        'taskFinished': 'Task Finished',
        'timeoutPeriod': 'Timeout Period',
        'inputTimeoutPeriod': 'Please enter the task timeout period',
        'otaDeviceList': 'Device List:',
        'otaDeviceToBeUpdated': 'Devices to be Upgraded:',
        'otaInputDeviceNameOrGroup': 'Please enter the device name or group',
        'otaTaskTimeoutLimitError': 'Task timeout cannot exceed 3000 seconds',
        'taskNameRule': 'Upgrade task name should not exceed 64 characters',
        'hasSameNameTask': 'An upgrade task with the same name already exists',
        'addTaskSuccess': 'Create Upgrade Task successful!',
        'editTaskSuccess': 'Modify Upgrade Task successful!',
        //
        'status': 'Status',
        'statusDetail': 'Status Detail',
        'otaDeviceId': 'Device ID',
        'otaDeviceName': 'Device Name',
        'otaDeviceNotPushed': 'Not Pushed',
        'otaDevicePushed': 'Pushed',
        'otaDeviceDownloading': 'Downloading',
        'otaDeviceUpgrading': 'Upgrading',
        'otaDeviceCanceled': 'Canceled',
        'otaDeviceSuccess': 'Upgrade Successful',
        'otaDeviceFailed': 'Upgrade Failed',
        'otaDeviceLost': 'Device Owner Changed',
        'selectDeviceStatus': 'Please select the device status.',
        'languageSetting': 'Language',
        'System': 'Auto',
        'formatTime': 'dd/MM/yyyy HH:mm:ss',
        'occupant': 'Occupant',
        'dataFeedbackControl': 'Data Feedback Control',
        'deleteSuccess': 'Delete Success!',
        'taskTimeoutInvalid': 'Task timeout is invalid',
        'projectDeleted': 'The current project [{val}] has been deleted or disconnected, click the [OK] button to switch projects.',
        'deviceMightBeDeleted': 'The device may have been deleted!',
        'confirmCheck': 'Confirm',
        'projectChangeTip': 'Project change notification',
        'dataIsNew': 'Data is already the latest!',
        'isFetching': 'Fetching data...',
        'dataFetched': 'Data fetch completed!',
        'noChosenDevice': 'No device selected!',
        'fetchProjectInfoSuccess': 'Successfully fetched project information!',
        'operateFinish': 'Operation completed!',
        'paramsError': 'Parameter error!',
        'selectFolder': 'Select the folder path',
        'sharer': 'Sharer',
        'deviceShare': 'Device Share',
        'dissociateFromDevice': 'Dissociate From Device',
        'webProject': 'Web Project',
        'turnOff': 'Turn Off',
        'turnOn': 'Turn On',
        'onlyRead': 'Read Only',
        'readAndWrite': 'Read & Write'
    },
    'el': {
        'colorpicker': {
            'confirm': 'OK',
            'clear': 'Clear'
        },
        'datepicker': {
            'now': 'Now',
            'today': 'Today',
            'cancel': 'Cancel',
            'clear': 'Clear',
            'confirm': 'OK',
            'selectDate': 'Select date',
            'selectTime': 'Select time',
            'startDate': 'Start date',
            'startTime': 'Start time',
            'endDate': 'End date',
            'endTime': 'End time',
            'prevYear': 'Previous year',
            'nextYear': 'Next year',
            'prevMonth': 'Previous month',
            'nextMonth': 'Next month',
            'year': 'Year',
            'month1': 'January',
            'month2': 'February',
            'month3': 'March',
            'month4': 'April',
            'month5': 'May',
            'month6': 'June',
            'month7': 'July',
            'month8': 'August',
            'month9': 'September',
            'month10': 'October',
            'month11': 'November',
            'month12': 'December',
            'weeks': {
                'sun': 'Sunday',
                'mon': 'Monday',
                'tue': 'Tuesday',
                'wed': 'wednesday',
                'thu': 'Thursday',
                'fri': 'Friday',
                'sat': 'Saturday'
            },
            'months': {
                'jan': 'January',
                'feb': 'February',
                'mar': 'March',
                'apr': 'April',
                'may': 'May',
                'jun': 'June',
                'jul': 'July',
                'aug': 'August',
                'sep': 'September',
                'oct': 'October',
                'nov': 'November',
                'dec': 'December'
            }
        },
        'select': {
            'loading': 'Loading',
            'noMatch': 'No matching data',
            'noData': 'No data',
            'placeholder': 'Please select'
        },
        'cascader': {
            'noMatch': 'No matching data',
            'loading': 'Loading',
            'placeholder': 'Please select',
            'noData': 'No data'
        },
        'pagination': {
            'goto': 'Go to',
            'pagesize': 'Twig / page',
            'total': 'Total Twig',
            'pageClassifier': 'Page'
        },
        'messagebox': {
            'title': 'Tips',
            'confirm': 'OK',
            'cancel': 'Cancel',
            'error': 'The data entered is illegal'
        },
        'upload': {
            'deleteTip': 'Press the delete to delete it',
            'delete': 'Delete',
            'preview': 'View picture',
            'continue': 'Continue uploading'
        },
        'table': {
            'emptyText': 'No data',
            'confirmFilter': 'screening',
            'resetFilter': 'Reset',
            'clearFilter': 'All',
            'sumText': 'Sum'
        },
        'tree': {
            'emptyText': '/No data'
        },
        'transfer': {
            'noMatch': 'No matching data',
            'noData': 'No data',
            'titles': [
                'List 1',
                'List 2'
            ],
            'filterPlaceholder': 'Please enter the search content',
            'noCheckedFormat': 'total {total} entries',
            'hasCheckedFormat': 'The {checked}/{total} item is selected'
        },
        'image': {
            'error': 'Load failure'
        },
        'pageHeader': {
            'title': 'Return'
        },
        'popconfirm': {
            'confirmButtonText': 'OK',
            'cancelButtonText': 'Cancel'
        },
        'empty': {
            'description': 'No data'
        }
    },
    'name': 'Name',
    'tel': 'Phone',
    'save': 'Save',
    'confirm': 'OK',
    'cancel': 'Cancel',
    'delete': 'Delete',
    'complete': 'Complete',
    'loading': 'Loading',
    'telEmpty': 'Please fill in the phone number',
    'nameEmpty': 'Please fill in the name',
    'nameInvalid': 'Please enter a correct name',
    'confirmDelete': 'Are you sure you want to delete it',
    'telInvalid': 'Please enter a correct mobile phone number',
    'vanCalendar': {
        'end': 'End',
        'start': 'Start',
        'title': 'Select date',
        'confirm': 'OK',
        'startEnd': 'Start/End',
        'weekdays': [
            'Sunday',
            'Monday',
            'Tuesday',
            'Wednesday',
            'Thursday',
            'Friday',
            'Saturday'
        ]
    },
    'vanCascader': {
        'select': 'Select'
    },
    'vanContactCard': {
        'addText': 'Add contact'
    },
    'vanContactList': {
        'addText': 'New contact'
    },
    'vanPagination': {
        'prev': 'Previous page',
        'next': 'Next page'
    },
    'vanPullRefresh': {
        'pulling': 'Roll down to refresh.',
        'loosing': 'Release can refresh'
    },
    'vanSubmitBar': {
        'label': 'Total：'
    },
    'vanCoupon': {
        'unlimited': 'No use threshold'
    },
    'vanCouponCell': {
        'title': 'Coupon',
        'tips': 'No available'
    },
    'vanCouponList': {
        'empty': 'No coupons',
        'exchange': 'Exchange',
        'close': 'No coupons are used',
        'enable': 'Available',
        'disabled': 'Not Available',
        'placeholder': 'Please enter coupons code'
    },
    'vanAddressEdit': {
        'area': 'Area',
        'postal': 'Post code',
        'areaEmpty': 'Please select area',
        'addressEmpty': 'Please fill in the detailed address ',
        'postalEmpty': 'The zip code format is incorrect',
        'defaultAddress': 'Set as the default shipping address',
        'telPlaceholder': "Consignee's mobile phone number",
        'namePlaceholder': "Consignee's name",
        'areaPlaceholder': 'Select province/city/region'
    },
    'vanAddressEditDetail': {
        'label': 'Detail address',
        'placeholder': 'Street number, floor room number, etc'
    },
    'vanAddressList': {
        'add': 'New address'
    },
    'error': {
        'deviceGroup': 'Request device group Info failed',
        'groupNameNotFound': 'Group name did not find',
        'serverStop': 'Server temporarily suspended service',
        'incompatibleVersion': 'Incompatible version',
        'loginExpired': 'User login expired',
        'administratorprivileges': 'Requires administrator privileges',
        'anonymousUseRequired': 'Anonymous user permissions required',
        'unauthorizedService': 'Unauthorized service',
        'loginError': 'Login failed. The current user does not have permission.',
        'deviceNotExist': 'Device does not exist',
        'noOperationPermission': 'No operation permission',
        'failedRetrieveDevicelist': ' Failed to retrieve device list',
        'failedRetrieveAlarmlist': 'Failed to retrieve alarm list',
        'alarmRange': 'Alarm count input range [1-100]',
        'cursorError': 'Cursor input error',
        'deviceEmpty': 'Device list cannot be empty',
        'serviceNotConnected': 'Service not connected',
        'requestCannotEmpty': 'Request cannot be empty',
        'usernameAndPasswordCannotEmpty': 'Username and password cannot be empty',
        'modificationFailed': ' Modification failed',
        'connectionTimedout': 'Connection to the center timed out',
        'failedRetrieve': ' Failed to retrieve',
        'incorrectExport': 'Incorrect export type',
        'backupstarted': 'Backup task has started',
        'noAvailableData': 'No available backup data at the moment',
        'operationIncorrect': 'Operation incorrect',
        'restoringFromBackup': 'Restoring from backup',
        'importFailed': 'Import failed',
        'backupFileMiss': 'Backup package error: Backup file is missing',
        'MD5ChecksumFailedBackUp': 'Backup package error: MD5 checksum failed for backup file',
        'versionValidationFailed': 'Backup package error: Version validation failed',
        'descriptionFileError': 'Backup package error: Description file error',
        'pathNotRequirements': 'Path does not meet requirements',
        'feilUploadError': 'File upload failed',
        'pathNoDirectory': 'The specified path is not a directory',
        'imageUplaodError': 'Image upload failed',
        'missFile': 'Missing crt file or key file',
        'wechatUploadError': 'Failed to update WeChat certificate',
        'deviceOffline': 'Device is not online',
        'keyError': 'Device key is incorrect',
        'deviceOwnerOther': 'Device is already bound',
        'bindError': 'Failed to bind device',
        'userNotExist': 'User does not exist',
        'newOldDeviceNotSame': 'The new and old devices cannot be the same',
        'newDeviceOffline': 'The new device is not online',
        'oldDeviceNotExist': 'The old device does not exist or is in use, please try again later',
        'deviceoccupy': 'Device does not exist or is occupied, please try again later',
        'userNotDeviceOwenr': 'The current user is not the owner of this device',
        'newOwenrOther': 'The new device has already been bound',
        'replaceDeviceError': ' Device replacement failed',
        'unbindFail': 'Failed to unbind',
        'deviceShareLimt': 'Exceeded device sharing limit',
        'shareUserNot': 'Shared user does not exist',
        'shareDeviceFail': 'Failed to share the device',
        'specifiedUserNotExist': ' Specified user does not exist',
        'cancelShare': 'Failed to cancel sharing',
        'deviceTranfserFail': 'Device transfer failed',
        'noAccessRight': 'No access rights',
        'noEditPermissisons': 'No edit permissions',
        'findInfoError': 'Failed to query device information',
        'editInfoError': 'Failed to modify device information',
        'getInfoError': 'Failed to retrieve device list.',
        'groupInputError': 'Incorrect grouping input',
        'otherShareSame': 'The shared list from others cannot be obtained at the same time as other groups.',
        'userProjectNotSave': "The user's project does not exist.",
        'searchDuplicatedFail': 'The search field is duplicated.',
        'getDeviceIdFail': 'Failed to retrieve the device ID list.',
        'getDeviceFail': 'Failed to obtain the number of devices.',
        'monitoringError': 'Failed to start monitoring.',
        'notDevicePermissions': 'No device permissions.',
        'maximum': 'The maximum connection limit has been reached.',
        'deviceNotSave': 'The device does not exist or is not bound.',
        'notPermissions': 'No permission.',
        'Occupied': 'Occupied',
        'vncFail': 'Failed to start Vnc',
        'deviceStatusError': 'Device status error.',
        'notCurrentUserVNC': 'The VNC device was not started by the current user.',
        'getNetworkError': 'Failed to obtain subnet information of the device.',
        'startVPNError': 'Failed to start VPN server.',
        'startVpnFails': 'Failed to start the screen end VPN client.',
        'notCurrentUserVpn': 'The VNC device was not started by the current user.',
        'vpnNotStart': 'VPN not started.',
        'alreading': 'Already started or is starting.',
        'vpnNotNowStart': 'VPN not started by the current connection.',
        'openFail': 'Failed to start',
        'detectionFail': 'Detection failed.',
        'serveNotConnected': 'Service not connected.',
        'requestNotEmpty': 'The request cannot be empty.',
        'failedGroupInformation': ' Failed to get group information.',
        'groupNameIllegal': 'The group name is illegal.',
        'groupExists': 'The group name already exists.',
        'currentUserNotDevice': 'The current user is not the owner of the device.',
        'addGroupFail': 'Failed to add group.',
        'groupExist': 'The group does not exist.',
        'notEditOtherGroup': 'Cannot modify the group shared by others.',
        'editGroupFail': ' Failed to modify the group',
        'newGroupNotValid': 'The new group name is not valid.',
        'oldGroupNotExists': 'The old group does not exist.',
        'newGroupSave': 'The new group already exists',
        'editGroupNameFail': 'Failed to change the group name.',
        'cantDelDefaultGroup': 'Unable to delete the default group.',
        'cantDelOther': "Unable to delete others' shared content.",
        'delGroupFail': 'Failed to delete the group.',
        'userNameNotVaild': 'The username is not valid.',
        'phoneNotVaild': 'The phone number is not valid.',
        'userReg': 'The username has been registered.',
        'phoneReg': 'The phone number has been registered',
        'codeError': 'The verification code is incorrect.',
        'regError': 'Registration failed',
        'emailNotValid': 'The email is not valid',
        'emailReg': 'The email has been registered',
        'codeNotValid': 'The verification code is not valid',
        'failedSend': 'Failed to send',
        'passwordNotValid': 'The password is not valid',
        'invalidCredentials': 'Invalid credentials',
        'failedSession': 'Failed to create session',
        'passwordIsIncorrect': 'Username or password is incorrect',
        'newOldPasswordNotSame': 'The new and old passwords cannot be the same',
        'oldPasswordIsIncorrect': 'The old password is incorrect',
        'failGetOpenId': 'Failed to get openID',
        'bind': 'Already bound',
        'accountExist': 'The account does not exist',
        'bindFailed': 'Binding failed',
        'unknownOpenID': 'Unknown openID',
        'unbindError': 'Binding and unbinding failed',
        'unboundUser': 'Unbound user',
        'getUserFail': 'Failed to get user',
        'unknownUser': 'Unknown user',
        'addUserFail': 'Failed to add new user',
        'userNameExists': 'Username already exists',
        'phoneExists': 'Phone already exists',
        'emailExists': 'Email already exists',
        'projectNameNotValid': 'Invalid project name',
        'createdProjectFail': 'Failed to create the project',
        'projectLimit': 'Exceeded the limit of the number of projects',
        'projectNotExist': 'The project does not exist',
        'outShareLimit': 'Exceeded the limit of device sharing',
        'noVaildUser': 'No valid user',
        'currentUserNotShare': 'The current user mode does not allow sharing',
        'dataUploadFail': 'Data upload failed',
        'userModeError': 'User mode error',
        'deviceModeError': 'Device permission mode error',
        'notDeviceAccessPermission': 'No access permission for the device',
        'openMonitorFail': 'Failed to start monitoring.',
        'projectConditionError': 'Filter condition parsing error',
        'getDeviceListFail': 'Failed to get project list',
        'packageFilterError': 'Filter data calculation error',
        'otaPackageLimit': 'OTA upgrade package quantity reached the limit',
        'addOtaPackageFail': 'Failed to add upgrade package',
        'setPackageUrlError': 'Error setting upgrade package address',
        'getPackageError': 'Failed to get upgrade package',
        'setPackageAuthError': 'No upgrade package access permission',
        'listCannotBeEmpty': 'List cannot be empty',
        'notHavePermission': 'Partial OTA upgrade packages have no access permission',
        'getPackageFail': 'Failed to get OTA upgrade package',
        'getUserInfoFail': 'Failed to get user information',
        'queryPackageOwnerFail': 'Failed to query OTA upgrade package owner',
        'getPackageOwnerFail': 'Failed to get OTA upgrade package owner',
        'hasExcutingTask': 'There are executing tasks',
        'someDeviceOwnerNotFound': 'Some device owners do not match',
        'taskLimit': 'OTA task quantity reached the limit',
        'getTaskFailed': 'Failed to get OTA task information',
        'pleaseStopTask': 'Please stop the task first',
        'taskTimeoutError': 'Timeout setting error',
        'packageFileNotExist': 'Upgrade package data not uploaded',
        'taskHasNoDevice': 'No upgradeable devices',
        'excutingTaskLimit': 'Reached the limit of executing tasks',
        'taskDevicesLimit': 'Exceeded device list retrieval limit',
        'taskDeivceNotExist': 'Device does not match the task list',
        'notHaveTaskPermission': 'Partial OTA upgrade tasks have no access permission',
        'oneResourceTypeNotSupported': 'The resource type is not supported at the moment',
        'shareUserNotExist': 'The user being shared with does not exist',
        'notAllowedOperation': 'The operation is not allowed',
        'getOwnerFailed': 'Failed to get the owner',
        'userError': 'User error',
        'shareResourceFailed': 'Failed to share the resource',
        'resourceTypeError': 'Resource type error',
        'userNotVisitor': 'The specified user is not a visitor of the resource',
        'connectDeviceServerFailed': 'Failed to get the connection configuration of the device server center'
    },
    'android': {
        'filePath': 'Select file path',
        'qrCodeTip': 'The qrcode can be recognized in the central',
        'lampOff': 'LampOff',
        'lampOn': 'LampOn',
        'notFoundQrcode': 'Do not find qrcode'
    },
    'ios': {
        'album': 'Album',
        'lampOff': 'Lamp: Off',
        'lampOn': 'Lamp: On',
        'cancel': 'Cancel',
        'sure': 'Sure',
        'noPhotoLibraryAccess': 'No access to use the photo library',
        'setPhotoLibraryAccess': 'Please allow "PHOTO LIBRARY ACCESS" in the privacy settings',
        'noCameraAccess': 'No access to use the camera',
        'setCameraAccess': 'Please allow "CAMERA ACCESS" in the privacy settings',
        'noNetworkAccess': 'No access to use the network',
        'setNetworkAccess': 'Please allow "WIRELESS DATA0" to use data in the privacy settings'
    }
}